
# How Light Works

Authors: **nothingbutdave@gmail.com**

## How Light Works

But what exactly is light? We catch glimpses of its nature when a sunbeam angles through a dust-filled room, when a rainbow appears after a storm

in 1999, researchers at Harvard University were able to slow a beam of light down to 38 miles an hour (61 kilometers per hour) by passing it through a state of matter known as a Bose-Einstein condensate.

Pythagoras, best known for the theorem of the right-angled triangle, proposed that vision resulted from light rays emerging from a person's eye and striking an object.

In 1704, Newton proposed a different take -one describing light as corpuscles, or particles. After all, light travels in straight lines and bounces off a mirror much like a ball bouncing off a wall. No one had actually seen particles of light, but even now, it's easy to explain why that might be. The particles could be too small, or moving too fast, to be seen, or perhaps our eyes see right through them.

Lenses, like those in a telescope or in a pair of glasses, take advantage of refraction. A lens is a piece of glass or other transparent substance with curved sides for concentrating or dispersing light rays.

We take advantage of this effect to correct a person's vision or enhance it by making distant objects appear closer or small objects appear bigger.

When the 19th century dawned, no real evidence had accumulated to prove the wave theory of light. That changed in 1801 when Thomas Young, an English physician and physicist, designed and ran one of the most famous experiments in the history of science. It's known today as the double-slit experiment and requires simple equipment -a light source, a thin card with two holes cut side by side and a screen.

To run the experiment, Young allowed a beam of light to pass through a pinhole and strike the card. If light contained particles or simple straight-line rays, he reasoned, light not blocked by the opaque card would pass through the slits and travel in a straight line to the screen, where it would form two bright spots. This isn't what Young observed. Instead, he saw a bar code pattern of alternating light and dark bands on the screen. To explain this unexpected pattern, he imagined light traveling through space like a water wave, with crests and troughs. Thinking this way, he concluded that light waves traveled through each of the slits, creating two separate wave fronts. As these wave fronts arrived at the screen, they interfered with each other. Bright bands formed where two wave crests overlapped and added together. Dark bands formed where crests and troughs lined up and canceled each other out completely.

The amount of energy in a light wave is proportionally related to its frequency: High frequency light has high energy; low frequency light has low energy. So, gamma rays have the most energy (part of what makes them so dangerous to humans), and radio waves have the least.

Then, on Dec. 14, 1900, Max Planck came along and introduced a stunningly simple, yet strangely unsettling, concept: that light must carry energy in discrete quantities. Those quantities, he proposed, must be units of the basic energy increment, hf, where h is a universal constant now known as Planck's constant and f is the frequency of the radiation.

Albert Einstein advanced Planck's theory in 1905 when he studied the photoelectric effect. First, he began by shining ultraviolet light on the surface of a metal. When he did this, he was able to detect electrons being emitted from the surface. This was Einstein's explanation: If the energy in light comes in bundles, then one can think of light as containing tiny lumps, or photons. When these photons strike a metal surface, they act like billiard balls, transferring their energy to electrons, which become dislodged from their "parent" atoms. Once freed, the electrons move along the metal or get ejected from the surface.

Niels Bohr applied Planck's ideas to refine the model of an atom. Earlier scientists had demonstrated that atoms consist of positively charged nuclei surrounded by electrons orbiting like planets, but they couldn't explain why electrons didn't simply spiral into the nucleus. In 1913, Bohr proposed that electrons exist in discrete orbits based on their energy. When an electron jumps from one orbit to a lower orbit, it gives off energy in the form of a photon.

At first, physicists were reluctant to accept the dual nature of light. After all, many of us humans like to have one right answer. But Einstein paved the way in 1905 by embracing wave-particle duality. We've already discussed the photoelectric effect, which led Einstein to describe light as a photon. Later that year, however, he added a twist to the story in a paper introducing special relativity. In this paper, Einstein treated light as a continuous field of waves -an apparent contradiction to his description of light as a stream of particles. Yet that was part of his genius. He willingly accepted the strange nature of light and chose whichever attribute best addressed the problem he was trying to solve.

Today, physicists accept the dual nature of light. In this modern view, they define light as a collection of one or more photons propagating through space as electromagnetic waves. This definition, which combines light's wave and particle nature, makes it possible to rethink Thomas Young's double-slit experiment in this way: Light travels away from a source as an electromagnetic wave. When it encounters the slits, it passes through and divides into two wave fronts. These wave fronts overlap and approach the screen. At the moment of impact, however, the entire wave field disappears and a photon appears. Quantum physicists often describe this by saying the spread-out wave "collapses" into a small point.

So there are two basic ways by which we can see colors. Either an object can directly emit light waves in the frequency of the observed color, or an object can absorb all other frequencies, reflecting back to your eye only the light wave, or combination of light waves, that appears as the observed color. For example, to see a yellow object, either the object is directly emitting light waves in the yellow frequency, or it is absorbing the blue part of the spectrum and reflecting the red and green parts back to your eye, which perceives the combined frequencies as yellow.

**NOTE**
: This is a notes from Dave

